import config from '@/config';
// let loginhost = 'http://192.168.31.125:8090/liuwanr'
// let host = 'http://192.168.31.152:9090/evaluation'//榕
// let host = 'http://192.168.31.125:9090/evaluation'//林
let host = `${config.host}evaluation`;
let loginhost = `${config.host}liuwanr`;

export default {
    host,
    logins: `${loginhost}/userInfo/logins`, //登录 
    updateLogInNumber: `${loginhost}/userInfo/updateLogInNumber`, //用户登录修改登录次数和登陆时间
    uploadUserAvatars: `${loginhost}/userInfo/uploadUserAvatars`, //上传头像
    loginSchool: `${loginhost}/userInfo/loginSchoolClient`, //登陆查询学校
    loginRole: `${loginhost}/userInfo/loginRole`, //登陆查询角色
    save: `${host}/tms/userInfo/add`, //注册

    queryToken: `${loginhost}/userInfo/queryToken`,
    queryWorkNumberIsExist: `${loginhost}/userInfo/queryWorkNumberIsExist`,//查询学号、工号是否存在
    queryAccountIsExist: `${loginhost}/userInfo/queryAccountIsExist`,//查询员工，学生账号是否存在接口

    addStuPro: `${host}/stuProfessionalArchitecture/addStuProfessionalArchitecture`, //添加学生专业
    queryStuPro: `${host}/stuProfessionalArchitecture/queryStuProfessionalArchitecture`, //查询学生专业
    queryStuGrade: `${host}/stuProfessionalArchitecture/queryStuGrade`, //查询学生年级
    queryStuClass: `${host}/stuProfessionalArchitecture/queryStuClass`, //查询学生班级
    deleteStuPro: `${host}/stuProfessionalArchitecture/deleteStuProfessionalArchitecture`, //删除学生专业
    updateStuPro: `${host}/stuProfessionalArchitecture/updateStuProfessionalArchitecture`, //编辑学生专业

    findPasswordByEmail: `${host}/tms/userInfo/findPasswordByEmail`,
    findPasswordByPhone: `${host}/tms/userInfo/findPasswordByPhone`,
    resetPassword: `${host}/tms/userInfo/resetPassword`,
    checkCode: `${host}/tms/userInfo/checkCode`,

    queryStudentData: `${host}/student/queryStudent`, //查询学生
    queryStudentDetails: `${host}/student/queryStudentDetails`, //查询学生详情
    addStudent: `${host}/student/addStudent`, //添加学生
    deleteStudent: `${host}/student/deleteStudent`, //删除学生
    updateStudent: `${host}/student/updateStudent`, //编辑学生
    updateStuGrade: `${host}/stuProfessionalArchitecture/updateStuGrade`, //编辑学生年级
    addStuGrade: `${host}/stuProfessionalArchitecture/addStuGrade`, //添加学生年级
    deleteStuGrade: `${host}/stuProfessionalArchitecture/deleteStuGrade`, //删除学生年级
    updateStuClass: `${host}/stuProfessionalArchitecture/updateStuClass`, //编辑学生班级
    addStuClass: `${host}/stuProfessionalArchitecture/addStuClass`, //添加学生班级
    deleteStuClass: `${host}/stuProfessionalArchitecture/deleteStuClass`, //删除学生班级

    queryPersonalCenter: `${host}/personalCenter/queryPersonalCenter`,
    addStaffPro: `${host}/staffProfessionalArchitecture/addStaffProfessionalArchitecture`, //添加员工专业
    queryStaffPro: `${host}/staffProfessionalArchitecture/queryAllStaffProfessionalArchitecture`, //查询员工专业
    deleteStaffPro: `${host}/staffProfessionalArchitecture/deleteStaffProfessionalArchitecture`, //删除员工专业
    deleteStaffGrade: `${host}/staffGrade/deleteStaffGrade`, //删除员工部门
    updateStaffPro: `${host}/staffProfessionalArchitecture/updateStaffProfessionalArchitecture`, //编辑员工专业
    queryStaffGrade: `${host}/staffGrade/queryStaffGrade`, //查询员工部门
    queryStaffGradeDetails: `${host}/staffGrade/queryStaffGradeDetails`, //查询员工部门详情
    addStaffGrade: `${host}/staffGrade/addStaffGrade`, //新增员工部门
    updateStaffGrade: `${host}/staffGrade/updateStaffGrade`, //编辑员工部门
    queryCourseDiscipline: `${loginhost}/course/queryCourseDiscipline`, //查询课程学科
    queryCourseProfessionalClass: `${loginhost}/course/queryCourseProfessionalClass`, //查询专业类
    queryCourseProfessional: `${loginhost}/course/queryCourseProfessional`, //查询专业
    queryPhone: `${loginhost}/userInfo/queryPhone`, //查询电话是否存在

    queryStaff: `${host}/staff/queryStaff`, //查询员工
    addStaff: `${host}/staff/addStaff`, //添加员工
    queryStaffDetails: `${host}/staff/queryStaffDetails`, //员工详情
    deleteStaff: `${host}/staff/deleteStaff`, //删除员工
    updateStaff: `${host}/staff/updateStaff`, //更新员工
    readStaff: `${host}/staff/readStaff`, //上传员工模板

    queryGetByClassName: `${host}/makeuplist/queryGetByClassName`,
    deleteExperimentalClass: `${host}/experimentalClass/deleteExperimentalClass`,//删除实验班级
    queryAssesmentcondition: `${host}/assesment/queryAssesmentcondition`,//考核成绩表格
    queryGetById: `${host}/assesment/queryGetById`,//查询考核信息
    updateAssesment: `${host}/assesment/updateAssesment`,//修改考核
    updateState: `${host}/assesment/updateState`,//点击启动修改考核时间
    updateAssesmentTime: `${host}/assesment/updateAssesmentTime`,//点击提前结束获取当前时间
    queryAssesmentScore: `${host}/assesment/queryAssesmentScore`,//获取查询成绩页面
    queryAssesmentAchievement: `${host}/assesment/queryAssesmentAchievement`,//查询成绩明细板块
    excelExport: `${host}/makeuplist/excelExport`,//模板下载
    importMakeuplist: `${host}/makeuplist/importMakeuplist`, //模板上传
    queryAllExperiment: `${host}/experiment/queryAllExperiment`,//实验项目渲染，
    queryAttendanceSignIn: `${host}/attendance/queryAttendanceSignIn`,//获得用户ID 及考勤总数
    insertAttendance: `${host}/Experimentallearning/insertAttendance`,//改变签到状态
    queryExperimentallearning: `${host}/Experimentallearning/queryExperimentallearning`,//获取项目名和签到状态
    queryCourseDetails: `${host}/course/queryCourseDetails`,//获取课程简介和课程目标
    queryTeacherName: `${host}/Experimentallearning/queryTeacherName`,//获取教师信息
    queryStudentName: `${host}/Experimentallearning/queryStudentName`,//获取学生信息
    queryPracticeVo: `${host}/experiment/queryPracticeVo`,//获取表格数据
    queryStudentAssessment: `${host}/assesmentRecord/queryStudentAssessment`, //查询姓名和个人平均分和最高分
    queryAssesmentRecordMaxScore: `${host}/assesmentRecord/queryAssesmentRecordMaxScore`, //查询学校平均分最高分
    queryAssesmentRecordWhole: `${host}/assesmentRecord/queryAssesmentRecordWhole`,//查询全国平均考核得分
    queryAssesmentRecordMaxWhole: `${host}/assesmentRecord/queryAssesmentRecordMaxWhole`, //查询全国平均分最高分
    queryStudentByPage: `${host}/experiment/queryStudentByPage`, //查询练习记录表格数据
    queryProject: `${host}/ProjectAndCourse/queryProject`,//实验项目信息展示
    updateIsExperiment: `${host}/ProjectAndCourse/updateIsExperiment`,//修改是否开启项目
    updateIsAttendance: `${host}/ProjectAndCourse/updateIsAttendance`,//修改是否考勤
    addAssesment: `${host}/assesment/addAssesment`,//添加考核
    queryStuProfessionalArchitecture: `${host}/stuProfessionalArchitecture/queryStuProfessionalArchitecture`,//修改是否考勤
    // queryStuGrade: `${host}/stuProfessionalArchitecture/queryStuGrade`,//修改是否考勤 (重复定义)
    // queryStuClass: `${host}/stuProfessionalArchitecture/queryStuClass`,//修改是否考勤 (重复定义)
    queryStudent: `${host}/stuProfessionalArchitecture/queryStudent`,//修改是否考勤
    queryAttendanceDetailed: `${host}/attendance/queryAttendanceDetailed`,//获取考勤列表数据

    queryExperimentClass: `${host}/experimentalClass/queryExperimentalClass`,//查询实验班级
    queryExperimentalClassSP: `${host}/experimentalClass/queryExperimentalClassSP`,//查询实验班级学生专业
    queryStudentClass: `${host}/experimentalClass/queryStudentClass`,//查询学生行政班级
    queryClassDetails: `${host}/experimentalClass/queryExperimentClassDetails`,//查询实验班级详情
    updateClassName: `${host}/experimentalClass/updateExperimentClassName`,//修改实验班级名称
    // updateState: `${host}/assesment/updateState`,//修改考核状态 (重复定义)
    experimentClassDeleteStudent: `${host}/experimentalClass/experimentClassDeleteStudent`, //移除实验班学生
    addExperimentalClass: `${host}/experimentalClass/addExperimentalClass`,//添加实验班级
    platformQueryCourse: `${host}/course/platformQueryCourse`,
    queryAssesment: `${host}/Experimentallearning/queryAssesment`,
    getCourse: `${host}/course/getCourse`,//获取课程简介，教学目标，课程名称
    getProfessionals: `${host}/experimentalClass/getProfessionals`,// 请求专业下拉框数据
    getStudentClass: `${host}/experimentalClass/getStudentClass`,//请求行政班级下拉框数据
    getCourseSchedule: `${host}/ProjectAndCourse/getCourseSchedule`,//课程进度
    releaseAssesment: `${host}/assesment/releaseAssesment`,//发布考核
    experimentClassAddStudent: `${host}/experimentalClass/experimentClassAddStudent`,//发布考核
    getExperimentalClass: `${host}/assesment/getExperimentalClass`,//实验班级一级标题
    getCreationTime: `${host}/assesment/getCreationTime`,//实验班级二级标题
    deleteAssesment: `${host}/assesment/deleteAssesment`,//删除考核
    queryStudentCourse: `${host}/Experimentallearning/queryStudentCourse`,//学生查询课程
    getByCourseId: `${host}/assesment/getByCourseId`,//查询系统列表
    getCoursevideo: `${host}/tms/classTech/simulationPlayList`,//开始课程-课程视频
    queryStaffPAN: `${host}/staffProfessionalArchitecture/queryStaffPAN`,//查询员工专业是否存在
    queryStudentisAssess: `${host}/assesment/queryStudentisAssess`,//查看正在参与考核的学生

    queryProvince: `${loginhost}/province/queryProvince`, //查询省份
    queryCity: `${loginhost}/city/queryCity`, //查询城市
    querySchoolData: `${loginhost}/customer/querySchool`, //根据学校名称查询学校信息

    examinePassword: `${host}/tms/user/examinePassword`,//更换密码
    userinfoUpdate: `${host}/tms/user/update`,//个人中心信息修改
    userinfo: `${host}/tms/user/userinfo`,//个人中心信息展示
    sendEmailCode: `${host}/tms/user/sendEmailCode`,//发送邮箱验证码
    bingEmail: `${host}/tms/user/bingEmail`,//邮箱验证并更新
    sendPhoneCode: `${host}/tms/user/sendPhoneCode`,//发送手机验证码
    bindPhone: `${host}/tms/user/bindPhone`,//校验手机验证码

    canExperiment: `${host}/tms/evaluationrecord/can_experiment`, //查询是否能够开启实验
    openExercise: `${host}/tms/evaluationrecord/openExercise`, //查询是否能够开启虚拟仿真实验
    openTeaching: `${host}/tms/evaluationrecord/openTeaching`, //查询是否能够开启教学实验
    experimentDetail: `${host}/tms/evaluationrecord/detail`, //成绩详情
    experimentNext: `${host}/tms/evaluationrecord/next`, //下一题
    experimentNotmade: `${host}/tms/evaluationrecord/not_made`, //提交之前查询是否还有未做完的试题
    experimentPrevious: `${host}/tms/evaluationrecord/previous`, //上一题
    experimentRemaining: `${host}/tms/evaluationrecord/remaining`, //获取测评剩余时间
    experimentStart: `${host}/tms/evaluationrecord/start`, //开始测评
    experimentSubmit: `${host}/tms/evaluationrecord/submit`, //提交测评

    fictitiousRecord: `${host}/fictitious/projectrecord/user/record`, //用户端实验记录
    exportProjectRecord: `${host}/fictitious/projectrecord/user/exportProjectRecord`, //虚拟实验记录导出
    exportExperimentProjectRecord: `${host}/fictitious/projectrecord/user/exportExperimentProjectRecord`, //个人实验记录导出
    fictitiousScore: `${host}/fictitious/projectrecord/user/score`, //个人实验概览
    experimentRecord: `${host}/fictitious/projectrecord/user/experimentRecord`, //用户端教学实验记录

    joinPractice: `${host}/tms/classTech/joinPractice`, //通过邀请码进入实验
    queryArchievement: `${host}/tms/classTech/queryExperimentalReport`, //查看教学实验报告
    queryVirtualReport: `${host}/tms/classTech/queryVirtualReport`, //查看虚仿实验报告
    checkInvitationCode: `${host}/tms/classTech/checkInvitationCode`, //校验是否需要邀请码
    userRecord: `${host}/tms/classTech/userRecord`, //查询班级实验列表信息
    modifyReport: `${host}/Achievement/modify`
};