// 引入等比适配插件
const px2rem = require('postcss-px2rem');

// 配置基本大小
const postcss = px2rem({
    // 基准大小 baseSize，需要和rem.js中相同
    remUnit: 16
});

// 使用等比适配插件
module.exports = {
    lintOnSave: true,
    css: {
        loaderOptions: {
            postcss: {
                plugins: [
                    postcss
                ]
            }
        }
    },
    publicPath: '/',
    outputDir: 'dist',
    assetsDir: 'static',
    devServer: {
        port: 8082
        //   proxy: {
        //     "/api": {
        //       target: "http://192.168.0.102:8080",
        //       changeOrigin: true,
        //       ws: true,
        //       pathRewrite: {
        //         "^/api": ""
        //       }
        //     }
        //   }
    }
};